<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from check_mbigint.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="check_mbigint" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>check_mbigint</refname>
    <refpurpose>bigint matrix</refpurpose>
  </refnamediv>


<refsection>
   <title>Parameters</title>
   <variablelist>
        <varlistentry>
            <term>A:</term>
            <listitem><para> mbigint</para></listitem>
        </varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
check mbigint structure, if not returns error. Always ends yours macros returning a "mbigint" with the command z=check_bigint(z) this will return a normalized form for z.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[

x=bigint('1234567890')
y=bigint('9876543210')
z=x-y
T=cell(2,2)
T{1,1}=x;T{1,2}=y;
T{2,1}=z;T{2,2}=bigint(0)
D=[string(x) string(y);string(z),'0']
M=mlist(['mbigint','display','value'],D,T)
M=check_mbigint(M) // ok
M=mlist(['mbigint','display','value'],'0',T)
M=check_mbigint(M) // error
M=mlist(['mbigint','display','value'],D,x)
M=check_mbigint(M) // error

   ]]></programlisting>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="mbigint">mbigint</link></member>
   <member><link linkend="check_bigint">check_bigint</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Philippe Roux</member>
   </simplelist>
</refsection>
</refentry>
